var filaSeleccionadaPreguntasProtocolo;
var filaSeleccionadaPreguntasRelProPre;
var row;

jQuery(function($){	
	
	bloquearInterfaz();
	
	//Feedback preguntas rel_pro_pre tabla (AB7919T00)
	$("#preguntasRelProPre_feedback").rup_feedback({
		type: "ok",
		gotoTop: true,
		block: false,
		closeLink: true,
		delay: 8000,
		fadeSpeed: 500
	});
	
	//Feedback preguntas protocolo tabla (AB7911T00)
	$("#preguntasProtocoloTabla_feedback").rup_feedback({
		type: "ok",
		gotoTop: true,
		block: false,
		closeLink: true,
		delay: 8000,
		fadeSpeed: 500
	});
	
	//Feedback modal preguntas protocolo (2º modal / mantenimiento)
	$("#preguntasProtocoloModalEditFeedback").rup_feedback({
		type: "ok",
		gotoTop: true,
		block: false,
		closeLink: true,
		fadeSpeed: 500
	});
	
	//Modal preguntas totales (Btn plus 2ª tabla)
	$("#preguntasProtocoloTablaDiv").rup_dialog({
		autoOpen: false,
		width: 1200,
		modal: true,
		position: { my: "center center" },
		type: $.rup.dialog.DIV,
		close: function(){
			limpiarFiltro();
			filaSeleccionadaPreguntasProtocolo = "";
			$("#preguntasProtocoloTabla_feedback").rup_feedback("close");
		}
	});
	
	//Modal añadir pregunta protocolo (2º modal / mantenimiento)
	$("#preguntasProtocoloModalEdit").rup_dialog({
		autoOpen: false,
		width: 700,
		modal: true,
		position:{ my: "center center" },
		type: $.rup.dialog.DIV,
		close: function(){
			$("div.error").each(function(){
				$(this).remove();
			});

			$("i.error").each(function(){
				$(this).remove();
			});
			
			$("input.error").each(function(){
				$("#"+this.id).removeClass("error");
			});
		}
	});
	
	//Modal asignar padre
	$("#asignarPadreModal").rup_dialog({
		autoOpen: false,
		width: 800,
		modal: true,
		position: { my:"center center" },
		type: $.rup.dialog.DIV,
		close: function(){
			$("#preguntasRelProPreCombo").rup_combo("clear");
		}
	});
	
	//Combo tipos de pregunta (mantenimiento)
	$("#tiposPreguntaComboEdit").rup_combo({
		blank: "",
		source: "/ab79WebAppWar/tipospreguntas",
		sourceParam: {
			label: (("eu" === $.rup_utils.get("language"))? "descripcionEuskera" : "descripcionCastellano"),
			value: "idTipoPregunta"
		},
		orderedByValue: true,
		width: 300,
		select: function(){
			if($("#tiposPreguntaComboEdit").val() == TIPO_PREGUNTA_CHECKBOX){
				$("#divOpciones").removeAttr("hidden");
			} else{
				$("#divOpciones").attr("hidden", "true");
			}
		}
	});
	
	//Tabla pregunta protocolo (Tabla 2º modal)
	$("#preguntasProtocolo").rup_datatable({
		primaryKey: "idPreguntaProtocolo",
		loadOnStartUp: false,
		deferLoading: 0,
		pagingType: "full_numbers",
		dom: 'rt<"bottom"lip>',
		pageLength : 5,
		lengthMenu: [5, 10, 25, 50, 100, 200],
		colReorder: false,
		order: [[1, "asc"]],
		filter:{
  	  		id:"preguntasProtocolo_filter_form",
  	  		filterToolbar:"preguntasProtocolo_filter_toolbar",
  	  		collapsableLayerId:"preguntasProtocolo_filter_fieldset"
     	},
		columnDefs: [
		    {
		    	targets: [1,6],
		       	visible: false
		    },
		    {
		    	targets: [0,2,3,4,5],
		    	orderable: false
		    }
		],
		drawCallback: function(){
			var tablaPreguntasProtocolo = $("#preguntasProtocolo").DataTable();
			
			if($("#preguntaValidarRelProPre_filter_table").val() == VALIDAR){
				tablaPreguntasProtocolo.columns([5]).visible(false);
			} else{
				tablaPreguntasProtocolo.columns([5]).visible(true);
			}
			
		},
		initComplete: function(){
			
			var tablaPreguntasProtocolo = $("#preguntasProtocolo").DataTable();
			
			if ("eu" === $.rup_utils.get("language")){
				tablaPreguntasProtocolo.columns( [2,4] ).visible( false );
			} else if("es" === $.rup_utils.get("language")) {
				tablaPreguntasProtocolo.columns( [0,3] ).visible( false );
			}
			
			var spanM = document.createElement("span"); 
			var mostrando = document.createTextNode($.rup.i18n.app.paginador.mostrando); 
			spanM.appendChild(mostrando);
			spanM.className = "mostrando";
			var spanR = document.createElement("span"); 
			var registros = document.createTextNode($.rup.i18n.app.paginador.registros); 
			spanR.appendChild(registros);
			spanR.className = "registros";
			
			var longitudTabla = document.getElementById("preguntasProtocolo_length"); 
			longitudTabla.appendChild(spanM); 
			longitudTabla.appendChild(spanR);
			
			desbloquearInterfaz();
			
		}
	});
	
	//Tabla rel_pro_pre (Tabla 1er modal)
	$("#preguntasRelProPre").rup_datatable({
		primaryKey: "idRelProPre",
		loadOnStartUp: false,
		deferLoading: 0,
		pagingType: "full_numbers",
		dom: 'rt<"bottom"lip>',
		pageLength : 50,
		lengthMenu: [5, 10, 25, 50, 100, 200],
		colReorder: false,
		filter:{
  	  		id:"preguntasRelProPre_filter_form",
  	  		filterToolbar:"preguntasRelProPre_filter_toolbar",
  	  		collapsableLayerId:"preguntasRelProPre_filter_fieldset"
     	},
		columnDefs: [
		    {
		        targets: [0,1,2,8,9],
		        visible: false
		    },
		    {
		    	targets: [3,4,5,6,7,8],
		    	orderable: false
		    }
		],
		drawCallback: function () {
			var tablaPreguntasRelProPre = $("#preguntasRelProPre").DataTable();
			
			if($("#preguntaValidarRelProPre_filter_table").val() != VALIDAR){
				var datosTablaRelProPre = tablaPreguntasRelProPre.rows().data().toArray();
				for (var i = 0; i < datosTablaRelProPre.length; i++) {
					if(datosTablaRelProPre[i].idPreguntaPadre === null){
						var rowPadre = tablaPreguntasRelProPre.row(i).node();
						$(rowPadre).addClass("rowPreguntaPadre");
						$(rowPadre).addClass("rowPreguntaPadreColor");
					} 
				}
				tablaPreguntasRelProPre.columns([7]).visible(true);
			} else{
				tablaPreguntasRelProPre.columns([7]).visible(false);
				
			}
		},
		initComplete: function(){
			
			var tablaPreguntasRelProPre = $("#preguntasRelProPre").DataTable();
			
			if ("eu" === $.rup_utils.get("language")){
				tablaPreguntasRelProPre.columns( [4,6] ).visible( false );
			} else if("es" === $.rup_utils.get("language")) {
				tablaPreguntasRelProPre.columns( [3,5] ).visible( false );
			}
			
			var spanM = document.createElement("span"); 
			var mostrando = document.createTextNode($.rup.i18n.app.paginador.mostrando); 
			spanM.appendChild(mostrando);
			spanM.className = "mostrando";
			var spanR = document.createElement("span"); 
			var registros = document.createTextNode($.rup.i18n.app.paginador.registros); 
			spanR.appendChild(registros);
			spanR.className = "registros";
			
			var longitudTabla = document.getElementById("preguntasRelProPre_length"); 
			longitudTabla.appendChild(spanM); 
			longitudTabla.appendChild(spanR);
			desbloquearInterfaz();
			
		}
     	
	});
	
	var tablaPreguntasProtocolo = $("#preguntasProtocolo").DataTable();
	var tablaPreguntasRelProPre = $("#preguntasRelProPre").DataTable();
	var tablaProtocolos = $("#protocolos").DataTable();
	
	//Fila seleccionada (Tabla preguntas totales 2º modal)
	$('#preguntasProtocolo tbody').on( 'click', 'tr', function () {
		filaSeleccionadaPreguntasProtocolo = tablaPreguntasProtocolo.row(this).data();
		if ( $(this).hasClass('selected') ) {
	        $(this).removeClass('selected');
	        filaSeleccionadaPreguntasProtocolo = "";
	    }
	    else {
	    	tablaPreguntasProtocolo.$('tr.selected').removeClass('selected');
	        $(this).addClass('selected');
	    }
		
		if(filaSeleccionadaPreguntasProtocolo.numeroRespuestas > 0){
			$("#btnEditarPreguntaProtocolo").prop("disabled", true);
			$("#btnBorrarPreguntaProtocolo").prop("disabled", true);
		} else{
			$("#btnEditarPreguntaProtocolo").prop("disabled", false);
			$("#btnBorrarPreguntaProtocolo").prop("disabled", false);
		}
		
	});
	
	//Fila seleccionada (Tabla preguntas rel pro pre 1er modal)
	$('#preguntasRelProPre tbody').on( 'click', 'tr', function () {
		filaSeleccionadaPreguntasRelProPre = tablaPreguntasRelProPre.row(this).data();
		if ( $(this).hasClass('selected') ) {
	        $(this).removeClass('selected');
	        filaSeleccionadaPreguntasRelProPre = "";
	        if($(this).hasClass("rowPreguntaPadre") && $("#preguntaValidarRelProPre_filter_table").val() != VALIDAR){
	        	$(this).addClass("rowPreguntaPadreColor");
	        }
	    }
	    else {
	    	if($(this).hasClass("rowPreguntaPadre") && $("#preguntaValidarRelProPre_filter_table").val() != VALIDAR){
	    		$(this).removeClass("rowPreguntaPadreColor");
	    		$(this).css("font-weight", "bold");
	    	}
	    	if(tablaPreguntasRelProPre.$('tr.selected').hasClass("rowPreguntaPadre") && $("#preguntaValidarRelProPre_filter_table").val() != VALIDAR){
	    		tablaPreguntasRelProPre.$('tr.selected').addClass("rowPreguntaPadreColor")
	    	}
	    	tablaPreguntasRelProPre.$('tr.selected').removeClass('selected');
	        $(this).addClass('selected');
	    }
		
		if(filaSeleccionadaPreguntasRelProPre.numeroRespuestas > 0){
			$("#btnEliminarPreguntaRelacion").prop("disabled", true);
		} else{
			$("#btnEliminarPreguntaRelacion").prop("disabled", false);
		}
		
	});
	
	//Mostrar / ocultar campos dependiendo del idioma
	if("eu" === $.rup_utils.get("language")){
		$("#descripcionCastellanoFilterDiv").css("display", "none");
		$("#descripcionEuskeraFilterDiv").css("display", "block");
	} else if("es" === $.rup_utils.get("language")){
		$("#descripcionEuskeraFilterDiv").css("display", "none");
		$("#descripcionCastellanoFilterDiv").css("display", "block");
	}
	
	//Botón filtrar preguntas protocolo
	$("#btnPreguntasProtocoloFiltrar").click(function(){
		$("#descripcionCastellano_filter_table").val($("#descripcionCastellanoFilter").val());
		$("#descripcionEuskera_filter_table").val($("#descripcionEuskeraFilter").val());
		$("#preguntasProtocolo_filter_filterButton").click();
	});
	
	//Botón limpiar filtro preguntas protocolo
	$("#btnPreguntasProtocoloLimpiar").click(function(){
		limpiarFiltro();
	});
	
	//Nueva pregunta (Btn plus tabla 2º modal)
	$("#btnNuevaPreguntaProtocolo").click(function(){
		
		$("#idProtocoloModal").val(parseInt($("#idProtocolo_filter_table").val()));
		$("#idPreguntaProtocoloModal").val("");
		
		//Formulario
		$("#preguntasProtocoloModalEditForm").rup_form({
			feedback: $("#preguntasProtocoloModalEditFeedback"),
			url: CTX_PATH  + "preguntasprotocolo/addPreguntaRelacion",
			type: "POST",
			contentType: "application/json",
			dataType: "json",
			validate: {
				liveCheckingErrors: false,
				showFieldErrorAsDefault: true,
				showErrorsInFeedback: false,
				showFieldErrorsInFeedback: true,
				rules: {
					"descripcionCastellano"	: { required : true, maxlength : 300 },
					"descripcionEuskera"	: { required : true, maxlength : 300 },
					"idTipoPregunta"		: { required : true },
					"opcionesEs" : {
						required : {
							depends : function() {
								if ($("#tiposPreguntaComboEdit").val() == TIPO_PREGUNTA_CHECKBOX) {
									return true;
								} else {
									return false;
								}
							}
						}
					},
					"opcionesEu" : {
						required : {
							depends : function() {
								if ($("#tiposPreguntaComboEdit").val() == TIPO_PREGUNTA_CHECKBOX) {
									return true;
								} else {
									return false;
								}
							}
						}
					}
				}
			},
			success: function(){
				desbloquearInterfaz();
				$("#preguntasProtocoloModalEdit").rup_dialog("close");
				tablaPreguntasProtocolo.ajax.reload();
				tablaPreguntasRelProPre.ajax.reload();
				tablaProtocolos.ajax.reload();
				$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
				$("#preguntasProtocoloTabla_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.guardarPreguntaOk, "ok");
				filaSeleccionadaPreguntasProtocolo = "";
			},
			error: function(){
				desbloquearInterfaz();
				$("#preguntasProtocoloModalEditFeedback").rup_feedback({ gotoTop : true, block : false, closeLink : true});
				$("#preguntasProtocoloModalEditFeedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.guardarPreguntaError, "error");
				filaSeleccionadaPreguntasProtocolo = "";
			}
		});
		
		if(typeof filaSeleccionadaPreguntasProtocolo !== "undefined" && filaSeleccionadaPreguntasProtocolo !== "" && filaSeleccionadaPreguntasProtocolo !== null){
			
			$.rup_messages("msgConfirm", {
				title: $.rup.i18n.app.preguntasProtocolo.nueva,
				message: $.rup.i18n.app.preguntasProtocolo.nuevaPreguntaProtocoloConfirm,
				OKFunction:	function() {
					tablaPreguntasProtocolo
				    .rows( '.selected' )
				    .nodes()
				    .to$() 
				    .removeClass( 'selected' );
					$("#preguntasProtocoloModalEdit").rup_dialog("setOption", "title", $.rup.i18n.app.preguntasProtocolo.nueva);
					$("#preguntasProtocoloModalEdit").rup_dialog("open");
				},
				CANCELFunction: function(){
					tablaPreguntasProtocolo
				    .rows( '.selected' )
				    .nodes()
				    .to$() 
				    .removeClass( 'selected' );
				}
			});
			
		}else{
			$("#preguntasProtocoloModalEdit").rup_dialog("setOption", "title", $.rup.i18n.app.preguntasProtocolo.nueva);
			$("#preguntasProtocoloModalEdit").rup_dialog("open");
		}
		
		limpiarPreguntasProtocoloModalEdit();
		filaSeleccionadaPreguntasProtocolo = "";
		$("#preguntasProtocoloModalEditFeedback").rup_feedback("close");
	});
	
	//Editar pregunta (Btn edit tabla 2º modal)
	$("#btnEditarPreguntaProtocolo").click(function(){
		
		$("#idProtocoloModal").val(parseInt($("#idProtocolo_filter_table").val()));
		
		if(typeof filaSeleccionadaPreguntasProtocolo !== "undefined" && filaSeleccionadaPreguntasProtocolo !== "" && filaSeleccionadaPreguntasProtocolo !== null){
			limpiarPreguntasProtocoloModalEdit();
			bloquearInterfaz();
			recuperarPreguntaProtocolo();
			
			$("#preguntasProtocoloModalEditFeedback").rup_feedback("close");
			
		}else{
			$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
			$("#preguntasProtocoloTabla_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
		
		$("#preguntasProtocoloModalEditFeedback").rup_feedback("close");
	});
	
	//Eliminar pregunta (Btn trash tabla 2º modal)
	$("#btnBorrarPreguntaProtocolo").click(function(){
		if(typeof filaSeleccionadaPreguntasProtocolo !== "undefined" && filaSeleccionadaPreguntasProtocolo !== "" && filaSeleccionadaPreguntasProtocolo !== null){
			
			bloquearInterfaz();
			if(existeEnOtroProtocolo($("#idProtocolo_filter_table").val(), filaSeleccionadaPreguntasProtocolo.idPreguntaProtocolo) === "true"){
				// Mensaje de confirmación
				$.rup_messages("msgConfirm", {
					title: $.rup.i18n.app.tabla.botones.eliminar,
					message: $.rup.i18n.app.preguntasProtocolo.borrarPreguntaModeloDatos,
					OKFunction:	function() {
						bloquearInterfaz();
						$.ajax({
							url: CTX_PATH + "preguntasprotocolo/borrarPreguntas/" + filaSeleccionadaPreguntasProtocolo.idPreguntaProtocolo,
							type: "DELETE",
							success: function(){
								desbloquearInterfaz();
								tablaPreguntasProtocolo.ajax.reload();
								tablaPreguntasRelProPre.ajax.reload();
								tablaProtocolos.ajax.reload();
								$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
								$("#preguntasProtocoloTabla_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.borrarPreguntaOk, "ok");
								filaSeleccionadaPreguntasProtocolo = "";
							},
							error: function(){
								desbloquearInterfaz();
								$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
								$("#preguntasProtocoloTabla_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.borrarPreguntaError, "error");
								filaSeleccionadaPreguntasProtocolo = "";
							}
						});
					}
				});								
			} else{
				// Mensaje de confirmación
				$.rup_messages("msgConfirm", {
					title: $.rup.i18n.app.tabla.botones.eliminar,
					message: $.rup.i18n.app.preguntasProtocolo.borrarPregunta,
					OKFunction:	function() {
						bloquearInterfaz();
						$.ajax({
							url: CTX_PATH + "preguntasprotocolo/borrarPreguntas/" + filaSeleccionadaPreguntasProtocolo.idPreguntaProtocolo,
							type: "DELETE",
							success: function(){
								desbloquearInterfaz();
								tablaPreguntasProtocolo.ajax.reload();
								tablaPreguntasRelProPre.ajax.reload();
								tablaProtocolos.ajax.reload();
								$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
								$("#preguntasProtocoloTabla_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.borrarPreguntaOk, "ok");
								filaSeleccionadaPreguntasProtocolo = "";
							},
							error: function(){
								desbloquearInterfaz();
								$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
								$("#preguntasProtocoloTabla_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.borrarPreguntaError, "error");
								filaSeleccionadaPreguntasProtocolo = "";
							}
						});
					}
				});
			}
			
		}else{
			$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
			$("#preguntasProtocoloTabla_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
	});	
	
	//Eliminar pregunta del protocolo(Btn minus tabla 1er modal)
	$("#btnEliminarPreguntaRelacion").click(function(){
		if(typeof filaSeleccionadaPreguntasRelProPre !== "undefined" && filaSeleccionadaPreguntasRelProPre !== "" && filaSeleccionadaPreguntasRelProPre !== null){
			
			// Mensaje de confirmación
			$.rup_messages("msgConfirm", {
				title: $.rup.i18n.app.tabla.botones.eliminar,
				message: $.rup.i18n.app.preguntasProtocolo.borrarPreguntaRelProPre,
				OKFunction:	function() {
					bloquearInterfaz();
					$.ajax({
						url: CTX_PATH + "preguntasprotocolo/borrarPreguntaRelProPre/" + filaSeleccionadaPreguntasRelProPre.idRelProPre,
						type: "DELETE",
						success: function(){
							desbloquearInterfaz();
							tablaPreguntasRelProPre.ajax.reload();
							tablaProtocolos.ajax.reload();
							$("#preguntasRelProPre_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
							$("#preguntasRelProPre_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.borrarPreguntaOk, "ok");
							filaSeleccionadaPreguntasRelProPre = "";
						},
						error: function(){
							desbloquearInterfaz();
							$("#preguntasRelProPre_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
							$("#preguntasRelProPre_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.borrarPreguntaError, "error");
							filaSeleccionadaPreguntasRelProPre = "";
						}
					});
				}
			});
			
		}else{
			$("#preguntasRelProPre_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
			$("#preguntasRelProPre_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
	});
	
	//Cancelar modal principal
	$("#preguntasProtocoloModal_detail_button_cancel").click(function(){
		$("#preguntasProtocoloModal").rup_dialog("close");
	});
	
	//Guardar modal edición (Tabla 2º Modal)
	$("#preguntasProtocoloModalEditGuardar").click(function(){
		bloquearInterfaz();
		
		//Edición
		if($("#idPreguntaProtocoloModal").val() !== ""){
			
			//Comprobar si la pregunta existe en otro protocolo
			if(existeEnOtroProtocolo($("#idProtocolo_filter_table").val(), filaSeleccionadaPreguntasProtocolo.idPreguntaProtocolo) === "true"){
				//Msg confirm (La pregunta existe en otro protocolo)
				$.rup_messages("msgConfirm", {
					title: $.rup.i18n.app.mensajes.alerta,
					message: $.rup.i18n.app.preguntasProtocolo.existeEnOtroProtocoloConfirm,
					//Se modifica el registro de la tabla AB7911T00
					OKFunction:	function() {
						$("#preguntasProtocoloModalEditForm").rup_form({
							feedback: $("#preguntasProtocoloModalEditFeedback"),
							url: CTX_PATH  + "preguntasprotocolo/editPreguntaRelacion",
							type: "PUT",
							contentType: "application/json",
							dataType: "json",
							validate: {
								liveCheckingErrors: false,
								showFieldErrorAsDefault: true,
								showErrorsInFeedback: false,
								showFieldErrorsInFeedback: true,
								rules: {
									"idPreguntaProtocolo"	: { required : true },
									"descripcionCastellano"	: { required : true, maxlength : 300 },
									"descripcionEuskera"	: { required : true, maxlength : 300 },
									"idTipoPregunta"		: { required : true },
									"opcionesEs" : {
										required : {
											depends : function() {
												if ($("#tiposPreguntaComboEdit").val() == TIPO_PREGUNTA_CHECKBOX) {
													return true;
												} else {
													return false;
												}
											}
										}
									},
									"opcionesEu" : {
										required : {
											depends : function() {
												if ($("#tiposPreguntaComboEdit").val() == TIPO_PREGUNTA_CHECKBOX) {
													return true;
												} else {
													return false;
												}
											}
										}
									}
								}
							},
							success: function(){
								desbloquearInterfaz();
								$("#preguntasProtocoloModalEdit").rup_dialog("close");
								tablaPreguntasProtocolo.ajax.reload();
								tablaPreguntasRelProPre.ajax.reload();
								$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
								$("#preguntasProtocoloTabla_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.guardarPreguntaOk, "ok");
								filaSeleccionadaPreguntasProtocolo = "";
							},
							error: function(){
								desbloquearInterfaz();
								$("#preguntasProtocoloModalEditFeedback").rup_feedback({ gotoTop : true, block : false, closeLink : true});
								$("#preguntasProtocoloModalEditFeedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.guardarPreguntaError, "error");
								filaSeleccionadaPreguntasProtocolo = "";
							}
						});
						
						if($("#tiposPreguntaComboEdit").val() == TIPO_PREGUNTA_CHECKBOX){
							comprobarNumeroDeOpciones();
						} else{
							$("#preguntasProtocoloModalEditForm").submit();
							desbloquearInterfaz();
						}
						
					},
					//Se crea un registro en la tabla AB7911T00 y en AB7919T00
					CANCELFunction: function(){
						$("#preguntasProtocoloModalEditForm").rup_form({
							feedback: $("#preguntasProtocoloModalEditFeedback"),
							url: CTX_PATH  + "preguntasprotocolo/addPreguntaRelacion",
							type: "POST",
							contentType: "application/json",
							dataType: "json",
							validate: {
								liveCheckingErrors: false,
								showFieldErrorAsDefault: true,
								showErrorsInFeedback: false,
								showFieldErrorsInFeedback: true,
								rules: {
									"descripcionCastellano"	: { required : true, maxlength : 300 },
									"descripcionEuskera"	: { required : true, maxlength : 300 },
									"idTipoPregunta"		: { required : true },
									"opcionesEs" : {
										required : {
											depends : function() {
												if ($("#tiposPreguntaComboEdit").val() == TIPO_PREGUNTA_CHECKBOX) {
													return true;
												} else {
													return false;
												}
											}
										}
									},
									"opcionesEu" : {
										required : {
											depends : function() {
												if ($("#tiposPreguntaComboEdit").val() == TIPO_PREGUNTA_CHECKBOX) {
													return true;
												} else {
													return false;
												}
											}
										}
									}
								}
							},
							success: function(){
								desbloquearInterfaz();
								$("#preguntasProtocoloModalEdit").rup_dialog("close");
								tablaPreguntasProtocolo.ajax.reload();
								tablaPreguntasRelProPre.ajax.reload();
								tablaProtocolos.ajax.reload();
								$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
								$("#preguntasProtocoloTabla_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.guardarPreguntaOk, "ok");
								filaSeleccionadaPreguntasProtocolo = "";
							},
							error: function(){
								desbloquearInterfaz();
								$("#preguntasProtocoloModalEditFeedback").rup_feedback({ gotoTop : true, block : false, closeLink : true});
								$("#preguntasProtocoloModalEditFeedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.guardarPreguntaError, "error");
								filaSeleccionadaPreguntasProtocolo = "";
							}
						});
						
						if($("#tiposPreguntaComboEdit").val() == TIPO_PREGUNTA_CHECKBOX){
							comprobarNumeroDeOpciones();
						} else{
							$("#preguntasProtocoloModalEditForm").submit();
							desbloquearInterfaz();
						}
					}
				});
				
			} else{
				//Edit normal (La pregunta no existe en otro protocolo)
				//Formulario
				$("#preguntasProtocoloModalEditForm").rup_form({
					feedback: $("#preguntasProtocoloModalEditFeedback"),
					url: CTX_PATH  + "preguntasprotocolo/editPreguntaRelacion",
					type: "PUT",
					contentType: "application/json",
					dataType: "json",
					validate: {
						liveCheckingErrors: false,
						showFieldErrorAsDefault: true,
						showErrorsInFeedback: false,
						showFieldErrorsInFeedback: true,
						rules: {
							"idPreguntaProtocolo"	: { required : true },
							"descripcionCastellano"	: { required : true, maxlength : 300 },
							"descripcionEuskera"	: { required : true, maxlength : 300 },
							"idTipoPregunta"		: { required : true },
							"opcionesEs" : {
								required : {
									depends : function() {
										if ($("#tiposPreguntaComboEdit").val() == TIPO_PREGUNTA_CHECKBOX) {
											return true;
										} else {
											return false;
										}
									}
								}
							},
							"opcionesEu" : {
								required : {
									depends : function() {
										if ($("#tiposPreguntaComboEdit").val() == TIPO_PREGUNTA_CHECKBOX) {
											return true;
										} else {
											return false;
										}
									}
								}
							}
						}
					},
					success: function(){
						desbloquearInterfaz();
						$("#preguntasProtocoloModalEdit").rup_dialog("close");
						tablaPreguntasProtocolo.ajax.reload();
						tablaPreguntasRelProPre.ajax.reload();
						$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
						$("#preguntasProtocoloTabla_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.guardarPreguntaOk, "ok");
						filaSeleccionadaPreguntasProtocolo = "";
					},
					error: function(){
						desbloquearInterfaz();
						$("#preguntasProtocoloModalEditFeedback").rup_feedback({ gotoTop : true, block : false, closeLink : true});
						$("#preguntasProtocoloModalEditFeedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.guardarPreguntaError, "error");
						filaSeleccionadaPreguntasProtocolo = "";
					}
				});
				
				if($("#tiposPreguntaComboEdit").val() == TIPO_PREGUNTA_CHECKBOX){
					comprobarNumeroDeOpciones();
				} else{
					$("#preguntasProtocoloModalEditForm").submit();
					desbloquearInterfaz();
				}
			}
		} else{
			if($("#tiposPreguntaComboEdit").val() == TIPO_PREGUNTA_CHECKBOX){
				comprobarNumeroDeOpciones();
			} else{
				$("#preguntasProtocoloModalEditForm").submit();
				desbloquearInterfaz();
			}
		} 
		
	});
	
	//Cancelar modal edición (Tabla 2º modal)	
	$("#preguntasProtocoloModalEditCancelar").click(function(){
		$("#preguntasProtocoloModalEdit").rup_dialog("close");
	});
	
	//Abrir modal con las preguntas totales (Btn plus tabla 1er modal)
	$("#btnPreguntasProtocoloTablaAbrir").click(function(){
		tablaPreguntasProtocolo.ajax.reload();
		$("#preguntasProtocoloTablaDiv").rup_dialog("setOption", "title", $.rup.i18n.app.preguntasProtocolo.tituloPreguntasProtocolo);
		$("#preguntasProtocoloTablaDiv").rup_dialog("open");
		$("#preguntasProtocoloTablaDiv").removeAttr("hidden");
	});
	
	//Añadir pregunta a la relación con el informe técnico (Btn añadir modal preguntas totales)
	$("#btnAniadirPreguntaARelacion").click(function(){
		if(typeof filaSeleccionadaPreguntasProtocolo !== "undefined" && filaSeleccionadaPreguntasProtocolo !== null && filaSeleccionadaPreguntasProtocolo !== ""){
			bloquearInterfaz();
			var datosRow = tablaPreguntasProtocolo.rows(['.selected']).data().toArray();
			datosRow[0].idProtocolo = $("#idProtocolo_filter_table").val();
			$.ajax({
				type: "POST",
				url: CTX_PATH + "preguntasprotocolo/agregarPreguntaARelacion",
				contentType: "application/json",
				data: JSON.stringify(datosRow[0]),
				success: function(){
					desbloquearInterfaz();
					tablaPreguntasRelProPre.ajax.reload();
					tablaProtocolos.ajax.reload();
					$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
					$("#preguntasProtocoloTabla_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.guardarPreguntaOk, "ok");
				},
				error: function(){
					desbloquearInterfaz();
					$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : false, block  : false, closeLink : true });
					$("#preguntasProtocoloTabla_feedback").rup_feedback("set",$.rup.i18n.app.preguntasProtocolo.guardarPreguntaError , "error")
				}
			});
			
		} else{
			$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
			$("#preguntasProtocoloTabla_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
	});
	
	//Btn cancelar modal preguntas totales
	$("#preguntasProtocoloTabla_detail_button_cancel").click(function(){
		$("#preguntasProtocoloTablaDiv").rup_dialog("close");
	});
	
	//Vista previa del informe técnico
	$("#btnVistaPrevia").click(function(){
		bloquearInterfaz();
		var datosTablaVistaPrevia = tablaPreguntasRelProPre.rows().data().toArray();
		if(datosTablaVistaPrevia.length > 0){
			var urlVistaPrevia;
			if($("#preguntaValidarRelProPre_filter_table").val() !== null && $("#preguntaValidarRelProPre_filter_table").val() !== ""){
				urlVistaPrevia = CTX_PATH + "informeTecnico/vistaPrevia/" + $("#idProtocolo_filter_table").val() + "/" + TIPO_PREGUNTAS_VALIDAR;
			}else{
				urlVistaPrevia = CTX_PATH + "informeTecnico/vistaPrevia/" + $("#idProtocolo_filter_table").val() + "/" + TIPO_PREGUNTAS_INFORME_TECNICO;
			}
			
			//Modal vista previa del informe técnico
			$("#vistaPreviaInformeTecnico").rup_dialog({
				autoOpen: false,
				url: urlVistaPrevia,
				width:1200,
				modal:true,
				position: { my: "center center" },
				type: $.rup.dialog.AJAX,
				ajaxOptions: {
					success: function (){
						
						//Mostrar / ocultar campos dependiendo del idioma
						if("eu" === $.rup_utils.get("language")){
							$(".preguntaCastellano").css("display", "none");
							$(".preguntaEuskera").css("display", "block");
							$(".checkEuskera").css("display", "block");
							$(".checkCastellano").css("display", "none");
						} else if("es" === $.rup_utils.get("language")){
							$(".preguntaEuskera").css("display", "none");
							$(".preguntaCastellano").css("display", "block");
							$(".checkCastellano").css("display", "block");
							$(".checkEuskera").css("display", "none");
						}
						
						//Combo correcto / Incorrecto vista previa
						$(".comboCorrectoIncorrecto").each(function(){
							$("#"+this.id).rup_combo({
								loadFromSelect:true,
								width:200
							});
						});
							
						$("#vistaPreviaInformeTecnico").rup_dialog("setOption", "title", $.rup.i18n.app.informeTecnico.vistaPrevia);
						$("#vistaPreviaInformeTecnico").rup_dialog("open");
						
						desbloquearInterfaz();
					},
					error: function(){
						desbloquearInterfaz();
						$("#preguntasRelProPre_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
						$("#preguntasRelProPre_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.vistaPreviaError, "error")
					}
				}
			});
			
		} else{
			desbloquearInterfaz();
			$("#preguntasRelProPre_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
			$("#preguntasRelProPre_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.tablaSinDatos, "alert");
		}
		
	});
	
	//Subir pregunta en tabla 1er modal
	$("#btnSubirPregunta").click(function(){
		if(typeof filaSeleccionadaPreguntasRelProPre !== "undefined" && filaSeleccionadaPreguntasRelProPre !== null && filaSeleccionadaPreguntasRelProPre !== ""){
			moveUp();
			
		} else{
			$("#preguntasRelProPre_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
			$("#preguntasRelProPre_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
	});
	
	//Bajar pregunta en tabla 1er modal
	$("#btnBajarPregunta").click(function(){
		if(typeof filaSeleccionadaPreguntasRelProPre !== "undefined" && filaSeleccionadaPreguntasRelProPre !== null && filaSeleccionadaPreguntasRelProPre !== ""){
			moveDown();
			
		} else{
			$("#preguntasRelProPre_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
			$("#preguntasRelProPre_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
	});
	
	//Guardar (Modal principal)
	$("#preguntasProtocoloModal_detail_button_save").click(function(){
		bloquearInterfaz();
		var datosTablaReordenar = tablaPreguntasRelProPre.rows().data().toArray();
		
		$.ajax({
			type:"PUT",
			url: CTX_PATH + "preguntasprotocolo/reordenar",
			data: JSON.stringify(datosTablaReordenar),
			contentType: "application/json",
			success: function(){
				desbloquearInterfaz();
				tablaPreguntasRelProPre.ajax.reload();
				$("#preguntasRelProPre_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
				$("#preguntasRelProPre_feedback").rup_feedback("set", $.rup.i18n.app.feedback.correcto.datos_guardados_OK, "ok");
			},
			error: function(){
				desbloquearInterfaz();
				$("#preguntasRelProPre_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
				$("#preguntasRelProPre_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.reordenarError, "error");
			}
		});
	});
	
	//Asignar pregunta padre
	$("#btnAsignarPadre").click(function(){
		
		if(typeof filaSeleccionadaPreguntasRelProPre !== "undefined" && filaSeleccionadaPreguntasRelProPre !== null && filaSeleccionadaPreguntasRelProPre !== ""){
			
			$("#ordenModal").val(tablaPreguntasRelProPre.row(['.selected']).data().orden);
			$("#idRelProPreModal").val(tablaPreguntasRelProPre.row(['.selected']).data().idRelProPre);
			var idPreguntaPadre = tablaPreguntasRelProPre.row(['.selected']).data().idPreguntaPadre;
			
			//Combo preguntas del informe técnico (AB7919T00)
			$("#preguntasRelProPreCombo").rup_combo({
				blank: "",
				source: CTX_PATH + "preguntasprotocolo/getPreguntasRelProPre/" + $("#idProtocolo_filter_table").val(),
				sourceParam: {
					label: (("eu" === $.rup_utils.get("language"))? "descripcionEuskera" : "descripcionCastellano"),
					value: "idPreguntaProtocolo"
				},
				width: 600,
				onLoadSuccess: function(){
					if(idPreguntaPadre !== null){
						$("#preguntasRelProPreCombo").rup_combo("setRupValue", idPreguntaPadre);
						$("#tituloPreguntasRelProPre").text($.rup.i18n.app.preguntasProtocolo.preguntaPadre);
					} else{
						$("#tituloPreguntasRelProPre").text($.rup.i18n.app.preguntasProtocolo.tituloPreguntasRelProPre);
					}
				}
			});
			
			$("#asignarPadreModal").rup_dialog("setOption", "title", $.rup.i18n.app.preguntasProtocolo.asignarPadre);
			$("#asignarPadreModal").rup_dialog("open");
			
		} else{
			$("#preguntasRelProPre_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
			$("#preguntasRelProPre_feedback").rup_feedback("set", $.rup.i18n.app.feedback.error.lineaNoSeleccionada, "alert");
		}
		
	});
	
	//Asignar pregunta padre cancelar
	$("#asignarPadreModalCancelar").click(function(){
		$("#asignarPadreModal").rup_dialog("close");
	});
	
	//Asignar pregunta padre guardar
	$("#asignarPadreModalGuardar").click(function(){
		$("#asignarPadreModalForm").rup_form({
			feedback: $("#asignarPadreModalFeedback"),
			type: "PUT",
			url: CTX_PATH + "preguntasprotocolo/asignarPadre",
			success: function(){
				tablaPreguntasRelProPre.ajax.reload();
				$("#asignarPadreModal").rup_dialog("close");
				$("#preguntasRelProPre_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
				$("#preguntasRelProPre_feedback").rup_feedback("set", $.rup.i18n.app.feedback.correcto.datos_guardados_OK, "ok");
			},
			error: function(){
				$("#asignarPadreModalFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
				$("#asignarPadreModalFeedback").rup_feedback("set", $.i18n.app.preguntasProtocolo.asignarPadreError, "error");
			}
		});
		
		$("#asignarPadreModalForm").submit();
		
	});
	
});

//Limpiar filtro preguntas totales
function limpiarFiltro(){
	$("#tiposPreguntaCombo").rup_combo("clear");
	$("#descripcionCastellanoFilter").val("");
	$("#descripcionEuskeraFilter").val("");
	$("#descripcionCastellano_filter_table").val("");
	$("#descripcionEuskera_filter_table").val("");
	$("#idTipoPregunta_filter_table").val(null);
}

//Limpiar el formulario modal de añadir / modificar preguntas del protocolo
function limpiarPreguntasProtocoloModalEdit(){
	$("#descripcionCastellanoModal").val("");
	$("#descripcionEuskeraModal").val("");
	$("#tiposPreguntaComboEdit").rup_combo("clear");
	$("#divOpciones").attr("hidden", "true");
	$("#opcionesEs").val("");
	$("#opcionesEu").val("");
}

//Comprobar el número de opciones que escribe el usuario para el tipo de pregunta checkbox
function comprobarNumeroDeOpciones(){
	
	var opcionesEs = $("#opcionesEs").val();
	var opcionesEu = $("#opcionesEu").val();
	
	if(opcionesEs[opcionesEs.length - 1] === ";"){
		opcionesEs = opcionesEs.slice(0, opcionesEs.length - 1);
	}
	
	if(opcionesEu[opcionesEu.length - 1] === ";"){
		opcionesEu = opcionesEu.slice(0, opcionesEu.length - 1);
	}
	
	var opcionesEsArray = opcionesEs.split(";");
	var opcionesEuArray = opcionesEu.split(";");
	
	if(opcionesEsArray.length === opcionesEuArray.length){
		$("#preguntasProtocoloModalEditForm").submit();
		desbloquearInterfaz();
	} else{
		desbloquearInterfaz();
		$("#preguntasProtocoloModalEditFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true, delay : 8000 });
		$("#preguntasProtocoloModalEditFeedback").rup_feedback("set", $.rup.i18n.app.informeTecnico.numeroOpcionesError, "error");
	}
}

//Recuperamos la pregunta protocolo a editar
function recuperarPreguntaProtocolo(){
	$.ajax({
		type: "GET",
		url: CTX_PATH + "preguntasprotocolo/" + filaSeleccionadaPreguntasProtocolo.idPreguntaProtocolo,
		dataType: "json",
		success: function(data){
			$("#preguntasProtocoloModalEdit").rup_dialog("setOption", "title", $.rup.i18n.app.preguntasProtocolo.editar);
			$("#preguntasProtocoloModalEdit").rup_dialog("open");
			desbloquearInterfaz();
			$("#idPreguntaProtocoloModal").val(data.idPreguntaProtocolo);
			$("#descripcionCastellanoModal").val(data.descripcionCastellano);
			$("#descripcionEuskeraModal").val(data.descripcionEuskera);
			$("#tiposPreguntaComboEdit").rup_combo("setRupValue", data.idTipoPregunta);
			
			if(data.idTipoPregunta === TIPO_PREGUNTA_CHECKBOX){
				$("#divOpciones").removeAttr("hidden");
				if(data.opcionesEs !== null && data.opcionesEu !== null){
					$("#opcionesEs").val(data.opcionesEs);
					$("#opcionesEu").val(data.opcionesEu);
				}
			} else{
				$("#divOpciones").attr("hidden", "true");
			}
		},
		error: function(){
			desbloquearInterfaz();
			$("#preguntasProtocoloTabla_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#preguntasProtocoloTabla_feedback").rup_feedback("set", $.rup.i18n.app.preguntasProtocolo.recuperarPreguntaError, "error");
		}
	});
}

//Comprobar si la pregunta a editar existe en otro protocolo/informe técnico
function existeEnOtroProtocolo(idProtocolo, idPreguntaProtocolo){
	var existe;
	$.ajax({
		type:"GET",
		url: CTX_PATH + "preguntasprotocolo/existeEnOtroProtocolo/" + idProtocolo + "/"  + idPreguntaProtocolo,
		async:false,
		success: function(data){
			desbloquearInterfaz();
			existe = data;
		},
		error: function(){
			desbloquearInterfaz();
		}
	});
	return existe;
}

//Mueve la fila seleccionada una más arriba
function moveUp() {
	var tr = $("#preguntasRelProPre").DataTable().row(['.selected']).node();
	moveRow(tr, 'up');
}

//Mueve la fila seleccionada una más abajo
function moveDown() {
	var tr = $("#preguntasRelProPre").DataTable().row(['.selected']).node();
	moveRow(tr, 'down');
}

//Dependiendo del botón pulsado mueve una fila hacia arriba o hacia abajo
function moveRow(row, direction) {
	var tablaPreguntasRelProPre = $("#preguntasRelProPre").DataTable();
	var index = tablaPreguntasRelProPre.row(row).index();
	
	var ordenAux = -1;
	if (direction === 'down') {
		ordenAux = 1;
	}
	
	var data1 = tablaPreguntasRelProPre.row(index).data();				//Fila seleccionada
	var data2 = tablaPreguntasRelProPre.row(index + ordenAux).data();	//Fila que se intercambia por la seleccionada
	
	if(typeof data2 !== "undefined" && data2 !== null && data2 !== "") {
		var data1Orden = data1.orden;
		var data2Orden = data2.orden;
		
		data1.orden = data2Orden;
		data2.orden = data1Orden;
		
		tablaPreguntasRelProPre.row(index).data(data2);
		tablaPreguntasRelProPre.row(index + ordenAux).data(data1);
		
		$(row).removeClass("selected");
		
		if(direction === 'down'){
			
			if($("#preguntaValidarRelProPre_filter_table").val() != VALIDAR){
				
				//La fila seleccionada 'es padre' y la siguiente no
				if($(row).hasClass("rowPreguntaPadre") && !$(row).next().hasClass("rowPreguntaPadre")){
					$(row).removeClass("rowPreguntaPadre");
					$(row).next().addClass("rowPreguntaPadre");
					$(row).removeClass("rowPreguntaPadreColor");
					$(row).css("font-weight", "normal");
					$(row).next().css("font-weight", "bold");
					
				//La fila seleccionada 'no es padre' y la siguiente sí
				} else if(!$(row).hasClass("rowPreguntaPadre") && $(row).next().hasClass("rowPreguntaPadre")){
					$(row).addClass("rowPreguntaPadre");
					$(row).next().removeClass("rowPreguntaPadre");
					$(row).addClass("rowPreguntaPadreColor");
					$(row).next().removeClass("rowPreguntaPadreColor");
					$(row).css("font-weight", "bold");
					$(row).next().css("font-weight", "normal");
					
				//Tanto la fila seleccionada como la siguiente 'son padres'
				} else if($(row).hasClass("rowPreguntaPadre") && $(row).next().hasClass("rowPreguntaPadre")){
					$(row).next().removeClass("rowPreguntaPadreColor");
					$(row).addClass("rowPreguntaPadreColor");
					$(row).next().css("font-weight", "bold");
					$(row).css("font-weight", "bold");
				}
			}
			
			$(row).next().addClass("selected");
			
		} else if(direction === 'up'){
			
			if($("#preguntaValidarRelProPre_filter_table").val() != VALIDAR){
			
				//La fila seleccionada 'es padre' y la anterior no
				if($(row).hasClass("rowPreguntaPadre") && !$(row).prev().hasClass("rowPreguntaPadre")){
					$(row).removeClass("rowPreguntaPadre");
					$(row).prev().addClass("rowPreguntaPadre");
					$(row).removeClass("rowPreguntaPadreColor");
					$(row).css("font-weight", "normal");
					$(row).prev().css("font-weight", "bold");
					
				//La fila seleccionada 'no es padre' y la anterior sí
				} else if(!$(row).hasClass("rowPreguntaPadre") && $(row).prev().hasClass("rowPreguntaPadre")){
					$(row).addClass("rowPreguntaPadre");
					$(row).prev().removeClass("rowPreguntaPadre");
					$(row).addClass("rowPreguntaPadreColor");
					$(row).prev().removeClass("rowPreguntaPadreColor");
					$(row).css("font-weight", "bold");
					$(row).prev().css("font-weight", "normal");
					
				//Tanto la fila seleccionada como la anterior 'son padres'
				} else if($(row).hasClass("rowPreguntaPadre") && $(row).prev().hasClass("rowPreguntaPadre")){
					$(row).prev().removeClass("rowPreguntaPadreColor");
					$(row).addClass("rowPreguntaPadreColor");
					$(row).prev().css("font-weight", "bold");
					$(row).css("font-weight", "bold");
				}
			}
			$(row).prev().addClass("selected");
		}
		
	}
	
}
